Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042239
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2019-11-08 14:022019-12-12 23:01
Reportersanti_lozanoView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision0e5e02a7ff59
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042239: Combo box selector no items to show from a custom P&E process with HQL where clause applied

DescriptionThe client is reporting to us a problem related with a Pick and Excute Process (this process normally has only one parameter corresponding to the pick & execute window) that also has a business partner selector parameter.
http://wiki.openbravo.com/wiki/How_to_create_a_Pick_and_Execute_Process [^]
When it has an HQL where clause applied to the window parameter to filter by the partner selected on the selector parameter (clause is “e.businessPartner.id=@C_Bpartner_ID@”) then clicking on some combo box of the process doesn’t work (like clicking on organization arrow). The query done isn’t sending the new parameter for @C_Bpartner_ID@ ($1 or $2)
Steps To Reproduce*download openbravo locally, version tip
*add the module here given org.openbravo.client.application.examples-1.0.0.obx (extract it and copy to modules folder)
*apply ant smartbuild -Dlocal=no
*run the application, go to window Invoices P&E, select a business partner on the selector, click on the combo box of the organization column, it is showing no items
EXTRA (try the correct case):
*go as system administrator to the Windows, Tabs & Fields window, then select window Invoices P&E. Change its module to development (go to that module in order to do that, from the module link here). Delete the where clauses of Invoices P&E and save it (stop tomcat, do smartbuild, reload tomcat). Go to invoices P&E to see the organization combo box working
TagsNo tags attached.
Attached Files? file icon org.openbravo.client.application.examples-1.0.0.obx [^] (16,466 bytes) 2019-11-08 14:02
png file icon selector12194.png [^] (217,046 bytes) 2019-11-08 14:15


png file icon more001 - query differences (between good and bad execution).png [^] (783,863 bytes) 2019-11-11 10:37
 file icon more002 - good execution query (parameters alright) [^] (16,172 bytes) 2019-11-11 10:37 [Show Content]
 file icon more003 - bad execution query (parameters problem) [^] (22,756 bytes) 2019-11-11 10:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0115480)
santi_lozano (developer)
2019-11-08 14:16

image attached to show the elements of Invoices P&E
1:selector parameter
2:window parameter
3:organization combo box
(0115493)
santi_lozano (developer)
2019-11-11 10:55

Added 3 more images (more001, more002, more003) showing the differences on the query that are thrown for the good and bad executions (on the text files you can see that the parameters are not passed correctly $1 and $2)
(0115770)
hgbot (developer)
2019-11-22 10:54

Repository: erp/devel/pi
Changeset: 0e5e02a7ff59693a9a61d0ab4074fb06380d632a
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Fri Nov 22 10:54:18 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0e5e02a7ff59693a9a61d0ab4074fb06380d632a [^]

Fixes issue 42239: Combo box works correctly in P&E process with HQL clause
Combo box selectors in P&E process with HQL where clause now work correctly,
context attributes are sent in the request correctly, previously those were missing

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
---
(0115977)
alostale (developer)
2019-11-29 10:02

tested
reviewed: https://gitlab.com/openbravocode/product/openbravo/merge_requests/18 [^]
(0116288)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-11-08 14:02 santi_lozano New Issue
2019-11-08 14:02 santi_lozano Assigned To => platform
2019-11-08 14:02 santi_lozano File Added: org.openbravo.client.application.examples-1.0.0.obx
2019-11-08 14:02 santi_lozano Modules => Core
2019-11-08 14:02 santi_lozano Triggers an Emergency Pack => No
2019-11-08 14:03 santi_lozano Category B. User interface => Z. Others
2019-11-08 14:05 santi_lozano Description Updated View Revisions
2019-11-08 14:08 santi_lozano Steps to Reproduce Updated View Revisions
2019-11-08 14:15 santi_lozano File Added: selector12194.png
2019-11-08 14:16 santi_lozano Note Added: 0115480
2019-11-11 10:37 santi_lozano File Added: more001 - query differences (between good and bad execution).png
2019-11-11 10:37 santi_lozano File Added: more002 - good execution query (parameters alright)
2019-11-11 10:38 santi_lozano File Added: more003 - bad execution query (parameters problem)
2019-11-11 10:55 santi_lozano Note Added: 0115493
2019-11-19 17:40 cberner Assigned To platform => cberner
2019-11-19 17:40 cberner Status new => scheduled
2019-11-20 08:56 cberner Review Assigned To => alostale
2019-11-22 10:54 hgbot Checkin
2019-11-22 10:54 hgbot Note Added: 0115770
2019-11-22 10:54 hgbot Status scheduled => resolved
2019-11-22 10:54 hgbot Resolution open => fixed
2019-11-22 10:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0e5e02a7ff59693a9a61d0ab4074fb06380d632a [^]
2019-11-29 10:02 alostale Note Added: 0115977
2019-11-29 10:02 alostale Status resolved => closed
2019-11-29 10:02 alostale Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116288


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker